package io.xjar.boot;

import java.util.zip.ZipException;
import org.apache.commons.compress.archivers.zip.ZipArchiveEntry;
import io.xjar.XConstants;
import org.apache.commons.compress.archivers.jar.JarArchiveEntry;

public class XBootJarArchiveEntry extends JarArchiveEntry implements XConstants
{
    public XBootJarArchiveEntry(final ZipArchiveEntry entry) throws ZipException {
        super(entry);
    }
    
    public String getName() {
        return super.getName().substring("BOOT-INF/classes/".length());
    }
}
